Name:		fetchmail
Version:	6.2.5
Release:	1.norlug
URL:		http://www.catb.org/~esr/fetchmail/
Source:         http://www.catb.org/~esr/fetchmail/%{name}-%{version}.tar.gz
Group:		Applications/Mail
License:	GPL
Icon:		fetchmail.xpm
Requires:	smtpdaemon
BuildRoot:	/var/tmp/%{name}-%{version}
Summary:	Full-featured POP/IMAP mail retrieval daemon

%description
Fetchmail is a free, full-featured, robust, and well-documented remote
mail retrieval and forwarding utility intended to be used over
on-demand TCP/IP links (such as SLIP or PPP connections).  It
retrieves mail from remote mail servers and forwards it to your local
(client) machine's delivery system, so it can then be be read by
normal mail user agents such as mutt, elm, pine, (x)emacs/gnus, or mailx.
Comes with an interactive GUI configurator suitable for end-users.

%package -n fetchmailconf
Summary:        A GUI configurator for generating fetchmail configuration files
Summary(pl):    GUI konfigurator do fetchmaila
Summary(fr):	GUI configurateur pour fetchmail
Summary(es):	Configurador GUI interactivo para fetchmail
Summary(pt):	Um configurador grfico para o fetchmail
Group:          Utilities/System
Group(pt):		Utilitrios/Sistema
Requires:       %{name} = %{version}, python

%description -n fetchmailconf
A GUI configurator for generating fetchmail configuration file written in
python

%prep
%setup -q

%build
LDFLAGS="-s"
export CFLAGS LDFLAGS
./configure --prefix=/usr --disable-nls --without-kerberos --mandir=%{_mandir} --with-SSL --enable-inet6
                         # Remove --disable-nls, add --without-included-gettext
                         # for internationalization. Also look below.
make

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
mkdir -p $RPM_BUILD_ROOT/{etc/X11/wmconfig,usr/lib/rhs/control-panel}
make install prefix=$RPM_BUILD_ROOT/usr mandir=$RPM_BUILD_ROOT%{_mandir}/man1
cp rh-config/*.{xpm,init} $RPM_BUILD_ROOT/usr/lib/rhs/control-panel
rm -rf contrib/RCS
chmod 644 contrib/*
cp rh-config/fetchmailconf.wmconfig $RPM_BUILD_ROOT/etc/X11/wmconfig/fetchmailconf
cd $RPM_BUILD_ROOT%{_mandir}/man1
ln -sf fetchmail.1 fetchmailconf.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (644, root, root, 755)
%doc README NEWS NOTES FAQ COPYING FEATURES contrib
%doc fetchmail-features.html fetchmail-FAQ.html design-notes.html
%attr(644, root, man) %{_mandir}/man1/*.1*
%attr(755, root, root) /usr/bin/fetchmail
# Uncomment the following to support internationalization
# %attr(644,root,root) /usr/share/locale/*/LC_MESSAGES/fetchmail.mo
# Uncomment the following to make split fetchmail and fetchmailconf packages
# %files -n fetchmailconf
%attr(644,root,root) /etc/X11/wmconfig/fetchmailconf
%attr(755,root,root) /usr/bin/fetchmailconf
/usr/lib/rhs/control-panel/fetchmailconf.xpm
/usr/lib/rhs/control-panel/fetchmailconf.init

%changelog
* Mon Oct 20 2003 Chip Cuccio <chipster@norlug.org> 6.2.5-1
- update to 6.2.5

* Thu Sep 25 2003 Chip Cuccio <chipster@norlug.org> 6.2.4-2
- initial build for rh-7.3

